#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
class Autostart

  # ========================================================================= #
  # === DEFAULT_INPUT
  # ========================================================================= #
  DEFAULT_INPUT = 'xfce'

  # ========================================================================= #
  # === DEFAULT_COLOUR
  # ========================================================================= #
  DEFAULT_COLOUR = Colours::GREEN

  # ========================================================================= #
  # === HOME_DIR
  # ========================================================================= #
  HOME_DIR = "#{ENV['HOME']}/" # /home/debug/

  # ========================================================================= #
  # === KDE_AUTOSTART
  # ========================================================================= #
  KDE_AUTOSTART = '~/.kde/Autostart/'

  # ========================================================================= #
  # === LINUX
  # ========================================================================= #
  LINUX    = ENV['LINUX'].to_s

  # ========================================================================= #
  # === SYSBIN
  # ========================================================================= #
  SYSBIN   = ENV['MY_SYSBIN'].to_s

  # ========================================================================= #
  # === SOFFICE_BINARY
  #
  # For libreoffice.
  # ========================================================================= #
  SOFFICE_BINARY = '/opt/libreoffice/program/soffice'

  # ========================================================================= #
  # === FIREFOX_BINARY
  # ========================================================================= #
  FIREFOX_BINARY = '/Programs/Firefox/Current/firefox'

  # ========================================================================= #
  # === ARRAY_SYMLINK_THESE_ENTRIES_FOR_KDE
  #
  # Which entries should be symlinked for KDE.
  #
  # If you do not want to have this entry, simply remove it from the
  # constant.
  # ========================================================================= #
  ARRAY_SYMLINK_THESE_ENTRIES_FOR_KDE = [
    FIREFOX_BINARY,
    "#{LINUX}/SHELL/SCRIPTS/konsole.sh",
    SYSBIN+'/bluefish',
    SYSBIN+'/pidgin',
    SOFFICE_BINARY,
  ] # SYSBIN+'/xchat',

  # ========================================================================= #
  # === ARRAY_SYMLINK_THESE_ENTRIES_FOR_XFCE
  #
  # Use xchat, bluefish, konsole and mrxvt.
  # ========================================================================= #
  ARRAY_SYMLINK_THESE_ENTRIES_FOR_XFCE = %w(
    $SYSBIN/xchat
    $SYSBIN/bluefish
    $SYSBIN/konsole
    $SYSBIN/mrxvt
  ) << FIREFOX_BINARY # And append the missing firefox binary here. This line works fine.

end